Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7326

Summary: can't dial isdn number with leading 0
Product: [Retired] Red Hat Linux Reporter: Dennis Schijff <dennis.schijff>
Component: isdn4k-utilsAssignee: Florian La Roche <laroche>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-10 16:23:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dennis Schijff 1999-11-25 12:16:05 UTC
Hello,

When you are in a telephone network you'l have to dail a zero for outgoing
calls. When a configured a isdn ppp connection the telephone number was 0
2301333. Linux does not seem to support this. And so I could not establish
a connection.

I am running the Gnome window manager. And I configured the ppp connection
in "linuxconf" I was using the "Modem Lights App." and I selected isdn in
that app.

Greetings,

Dennis Schijff
The Netherlands

Comment 1 Riley H Williams 1999-11-28 23:00:59 UTC
When you say "When you are in a telephone network", do you mean "When you are
using a private exchange unit" (aka PABX) ? If so, check that it is "0" that you
have to prefix the number with, as in my experience, it's usually "9" that has
to be used as a prefix in Europe - I assume that .nl is Netherlands ???

If you instead mean "When you wish to call a non-local number" (the other likely
interpretation of your comment), note that what has to be dialed depends on what
country you are in, even within Europe.

If you mean something else, please clarify your comments.

Comment 2 Michael K. Johnson 1999-11-30 15:49:59 UTC
Try using rp3-config to configure your PPP connection and see if it
works better.

I can't imagine why a leading 0 would be stripped, as it's treated
as a string not a number, but I'd be interested to know.

A leading 0 is quite common in the US when dialing calls that are
charged to a "calling card" so if this were really a software
problem, I would have expected to hear about it before.

Comment 3 Nalin Dahyabhai 2000-02-10 15:41:59 UTC
ISDN links use a different, modified pppd called ipppd.

Comment 4 Florian La Roche 2000-02-10 16:23:59 UTC
please use the new isdn configuration tool from
ftp://people.redhat.com/laroche/config-tool/ to
configure your ISDN networking.
0 shouldn't be the problem for not getting the connection.

can yu please email the output from /var/log/messages
that shows how the kernel dials? That should show what
the real problem is.